var cordova = require('cordova');

module.exports = {
  startScan(success, error) {
    cordova.exec(function(data){
      cordova.fireDocumentEvent("redlight.receive", {"data":data});
      success && success(data);
    }, error, 'RedLightScan', 'startScan', []);
    cordova.fireDocumentEvent("redlight.start");
  },
  stopScan(success, error) {
    cordova.exec(function (data) {
      cordova.fireDocumentEvent("redlight.stop", { "data": data });
      success && success(data);
    }, error, 'RedLightScan', 'stopScan', []);
  },
  registerReceiver(success, error) {
    cordova.exec(function (data) {
      cordova.fireDocumentEvent("redlight.receive", { "data": data });
      success && success(data);
    }, error, 'RedLightScan', 'registerReceiver', []);
    cordova.fireDocumentEvent("redlight.register");
  },
  unregisterReceiver(success, error) {
    cordova.exec(function (data) {
      cordova.fireDocumentEvent("redlight.unregister", { "data": data });
      success && success(data);
    }, error, 'RedLightScan', 'unregisterReceiver', []);
  }
};
